# rpm-spec-dependency-analyzer

This is a simple Python3 script that parses a list of SPEC files and
generates a nice graph of the dependencies among them using DOT.


## How to install

```
git clone https://github.com/f18m/rpm-spec-dependency-analyzer.git
sudo ln $(pwd)/rpm-spec-dependency-analyzer/specfiles_dependency_graph.py   /usr/local/bin/specfiles_dependency_graph
sudo ln $(pwd)/rpm-spec-dependency-analyzer/pyrpm_spec.py                   /usr/local/bin
```

## How to use


```
specfiles_dependency_graph --output reqgraph.dot /my/spec/folder/*.spec
dot -Tpng reqgraph.dot -o reqgraph.png
```

## Example output

This is the example of the graph generated by [pkgA.spec](examples/pkgA.spec) and by [pkgB.spec](examples/pkgB.spec):

![Example graph](examples/example-graph.png "Example DOT output")

Original .dot source is available [here](examples/example-graph.dot)
